
module "slb-http" {
  source = "terraform-aws-modules/slb-http/aws"
  version = "1.1.0"
  address_type = var.address_type
  advanced_setting = var.advanced_setting
  bandwidth = var.bandwidth
  create_http_listener = var.create_http_listener
  create_https_listener = var.create_https_listener
  create_rule = var.create_rule
  create_server_certificate = var.create_server_certificate
  create_slb = var.create_slb
  existing_slb_id = var.existing_slb_id
  health_check = var.health_check
  http_listeners = var.http_listeners
  https_listeners = var.https_listeners
  internet_charge_type = var.internet_charge_type
  master_zone_id = var.master_zone_id
  profile = var.profile
  region = var.region
  rules = var.rules
  servers_of_virtual_server_group = var.servers_of_virtual_server_group
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slave_zone_id = var.slave_zone_id
  spec = var.spec
  ssl_certificates = var.ssl_certificates
  tags = var.tags
  use_existing_slb = var.use_existing_slb
  virtual_server_group_name = var.virtual_server_group_name
  x_forwarded_for = var.x_forwarded_for
}
